//
//  GetSocialNotificationBuilder.h
//  GetSocial
//
//  Created by Orest Savchak on 1/3/19.
//  Copyright © 2019 GetSocial BV. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <GetSocial/GetSocialAction.h>
#import <GetSocial/GetSocialActionButton.h>
#import <GetSocial/GetSocialConstants.h>
#import <GetSocial/GetSocialNotification.h>

NS_ASSUME_NONNULL_BEGIN

@interface GetSocialNotificationBuilder : NSObject

+ (instancetype)builderWithId:(GetSocialId)notificationId;

- (void)setNotificationType:(GetSocialNotificationType)type;
- (void)setCreatedAt:(NSUInteger)createdAt;
- (void)setStatus:(GetSocialNotificationStatus)status;
- (void)setText:(NSString *)text;
- (void)setTitle:(NSString *)title;
- (void)setImageUrl:(NSString *)imageUrl;
- (void)setVideoUrl:(NSString *)videoUrl;
- (void)setAction:(GetSocialAction *)action;
- (void)addActionButton:(GetSocialActionButton *)actionButton;
- (void)addActionButtons:(NSArray<GetSocialActionButton *> *)actionButtons;

- (GetSocialNotification *)build;

@end

NS_ASSUME_NONNULL_END
